<template>
    <div class="mb-12">
        <v-card class="md-12">
            <v-card-title>
                Users
            </v-card-title>
            <v-card-text>
                <v-data-table
                    :headers="headers"
                    :items="getAllUser.data"
                    :items-per-page="10"
                    class="elevation-0"
                />
            </v-card-text>
        </v-card>
        <v-fab-transition>
            <v-btn
                id="newUserButton"
                color="success"
                bottom
                right
                large
                fixed
                fab
            >
                <v-icon>
                    mdi-plus-circle-outline
                </v-icon>
            </v-btn>
        </v-fab-transition>
        <v-dialog v-model="showModal" activator="#newUserButton" persistent>
            <v-card>
                <v-card-title>
                    New User
                </v-card-title>
                <v-card-text>
                    <v-text-field
                        label="Email Address"
                        v-model="newUser.email"
                    />
                    <v-text-field label="Password" v-model="newUser.password" />
                    <div class="d-flex">
                        <v-btn
                            class="ml-auto"
                            color="warning"
                            @click="showModal = false"
                        >
                            Cancel
                        </v-btn>
                        <v-btn
                            class="ml-3"
                            color="success"
                            @click="saveNewUser"
                        >
                            Save
                        </v-btn>
                    </div>
                </v-card-text>
            </v-card>
        </v-dialog>
    </div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
    name: "Users",
    data() {
        return {
            headers: [
                { text: "Email Address", value: "attributes.email_address" }
            ],
            showModal: false,
            newUser: {}
        };
    },
    computed: {
        ...mapGetters({
            getAllUser: "users/getAllUser"
        })
    },
    methods: {
        saveNewUser() {}
    }
};
</script>
